import React from 'react';

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
var TrashIcon = (({
  styles = {},
  ...props
}) => React.createElement("svg", _extends({
  width: "24",
  height: "24",
  viewBox: "0 0 24 24"
}, props), React.createElement("g", {
  id: "icon",
  stroke: "none",
  strokeWidth: "1",
  fill: "none",
  fillRule: "evenodd"
}, React.createElement("g", {
  id: "icon11",
  stroke: "#333"
}, React.createElement("path", {
  d: "M5 18.75C5 19.988 6.038 21 7.308 21h10.384C18.962 21 20 19.988 20 18.75V7.5H5v11.25zM20 3.964h-5.77L13.243 3h-1.484l-.989.964H5v1.768h15V3.964z",
  id: "Shape",
  fill: "#FFF",
  fillRule: "nonzero",
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), React.createElement("path", {
  d: "M15.5 10.571v6.858M12.5 10.571v6.858M8.5 10.571v6.858",
  id: "Line",
  strokeLinecap: "square"
})))));

function _extends$1() { _extends$1 = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1.apply(this, arguments); }
var PlusIcon = (({
  styles = {},
  ...props
}) => React.createElement("svg", _extends$1({
  width: "24",
  height: "24",
  viewBox: "0 0 24 24"
}, props), React.createElement("g", {
  fill: "none",
  fillRule: "evenodd",
  stroke: "#333",
  strokeLinecap: "round",
  strokeLinejoin: "round"
}, React.createElement("circle", {
  cx: "12",
  cy: "12",
  r: "9",
  fill: "#FFF",
  transform: "rotate(45 12 12)"
}), React.createElement("path", {
  d: "M12 17.657V6.343v11.314zM6.343 12h11.314H6.343z",
  fill: "#DDD"
}))));

function _extends$2() { _extends$2 = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$2.apply(this, arguments); }
var PlaceholderIcon = (({
  styles = {},
  ...props
}) => React.createElement("svg", _extends$2({
  width: "53",
  height: "45",
  viewBox: "0 0 53 45",
  xmlns: "http://www.w3.org/2000/svg"
}, props), React.createElement("g", {
  id: "Chat-Elements",
  stroke: "none",
  strokeWidth: "1",
  fill: "none",
  fillRule: "evenodd"
}, React.createElement("g", {
  id: "mockup-25",
  transform: "translate(-229 -391)"
}, React.createElement("g", {
  id: "Group-8",
  transform: "translate(62 80)"
}, React.createElement("g", {
  id: "Group-5"
}, React.createElement("g", {
  id: "Group-8",
  transform: "translate(70 263)"
}, React.createElement("g", {
  id: "Group-9",
  transform: "translate(97 48)"
}, React.createElement("rect", {
  id: "Rectangle-166",
  fill: "#82959E",
  x: "0",
  y: "0",
  width: "53",
  height: "45",
  rx: "2"
}), React.createElement("path", {
  id: "Rectangle-167-Copy",
  fill: "#D5F1FF",
  d: "M48 24.207V6H5v14.557"
}), React.createElement("path", {
  d: "M48 24.207V32H5V20.557c2.723-.91 5.76-1.668 9-2.057C26.5 17 29 21 38.5 23c2.855.601 6.208.976 9.5 1.207z",
  id: "Rectangle-167",
  fill: "#28CF82"
}), React.createElement("circle", {
  id: "Oval-84",
  fill: "#F98431",
  cx: "40",
  cy: "13",
  r: "3"
})))))))));

function _extends$3() { _extends$3 = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$3.apply(this, arguments); }
var PlaceholderIcon$1 = (({
  styles = {},
  ...props
}) => React.createElement("svg", _extends$3({
  height: "24",
  viewBox: "0 0 24 24",
  width: "24",
  xmlns: "http://www.w3.org/2000/svg"
}, props), React.createElement("path", {
  d: "M14.525 7.082L9.029 12.58a2.046 2.046 0 002.892 2.892l6.075-6.074a3.272 3.272 0 10-4.628-4.629L6.136 12c-1.759 1.759-1.759 4.605 0 6.364s4.605 1.759 6.364 0l6.653-6.653",
  fill: "none",
  stroke: "#333",
  strokeLinecap: "round",
  strokeLinejoin: "round"
})));

export { PlusIcon as P, TrashIcon as T, PlaceholderIcon as a, PlaceholderIcon$1 as b };
